/* Généraux */
body {
    color: white;
    font-family: 'NeueMedium';
}

p {
    margin: 0px !important;
}

h1 {
    text-align: center !important;
}

button {
    font-family: 'NeueBlack';
    background-color: white;
    color: black;
    border-radius: 10px;
    margin: 20px 0;
    padding: 10px 10px !important;
    border: none;
    position: relative;
    overflow: hidden;
    width: 35%;
}

button::after {
    content: '';
    position: absolute;
    bottom: 5px;
    left: 15px;
    width: 0;
    height: 2px;
    background-color: black;
    transition: width 0.3s ease;
}

button:hover::after {
    width: calc(100% - 30px);
}

h1, h2, h3, h4 {
    font-family: 'NeueBlack';
}

/* Navigation */
.navbar {
    background-color: #000000;
}

.navbar-toggler-icon {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba(255, 255, 255)' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}

a.nav-link {
    color: white !important;
    margin: 0 5px;
    font-size: 1.3em;
    text-align: center;
    position: relative;
}

a.nav-link::after {
    content: '';
    position: absolute;
    bottom: 2px;
    left: 0;
    width: 0;
    height: 2px;
    background-color: #ffffff;
    transition: width 0.3s ease;
}

a.nav-link:hover::after,
a.nav-link.active::after {
    color: white;
    width: 100% !important;
}

a.nav-link:hover {
    color: #ffffff;
}

/* Header */
.header {
    background-size: cover;
    background-position: center;
    position: relative;
    height: 640px;
    background-image: linear-gradient(to left, rgba(0,0,0,0) 50%, rgba(0,0,0,1) 100%), url('../img/header.jpg');
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

.header-left {
   
    padding: 40px;
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

/* Infolettre */
.infolettre {
    background-image: url('../img/infolettre.png');
    background-size: cover;
    background-position: center 63%;
    position: relative;
    height: 300px;
}

.infolettre p, .infolettre h3 {
    text-align: center;
    margin: 10px 0;
}

.infolettre h3 {
    margin-top: 30px;
}

.infolettre-overlay {
    background-color: rgba(0, 0, 0, 0.5);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.infolettre .container-input {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.infolettre .input-email {
    display: flex;
    align-items: center;
    gap: 10px;
    background-color: #434343;
    border-radius: 10px;
    padding: 8px 15px;
    
}

.infolettre .input-email input {
    border: none;
    background: transparent;
    color: white;
    outline: none;
    width: 275px;
}

.infolettre button {
    background-color: #434343;
    color: white;
    border-radius: 10px;
    padding: 10px 20px !important;
    border: none;
    position: relative;
    overflow: hidden;
    width: auto;
}

.infolettre button::after {
    content: '';
    position: absolute;
    bottom: 5px;
    left: 15px; /* même valeur que ton padding */
    width: 0;
    height: 2px;
    background-color: #ffffff;
    transition: width 0.3s ease;
}

.infolettre button:hover::after {
    width: calc(100% - 30px);
}

/* Footer */
footer a.nav-link {
    display: inline-block;
    width: auto;
    text-align: left !important;
    margin: 0 30px !important;
}

footer {
    background-color: #000000;
    color: #ffffff;
    padding-top: 15px;
}

.footer-top {
    display: flex;
    justify-content: space-between;
    align-items: stretch;
    min-height: 150px;
}

.footer-menu {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.footer-socials {
    display: flex;
    gap: 15px;
    margin-bottom: 15px;
}

.footer-bottom {
    border-top: 1px solid rgba(255, 255, 255, 0.2);
    font-size: 0.9em;
    padding: 10px !important;
    text-align: center;
    color: rgb(255, 255, 255);
}

.footer-right {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    justify-content: space-between;
    margin-right: 30px;
    height: 100%;
}

.footer-right img {
    margin: 15px 0;
}

